@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');

::after,
::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

h1 {
    font-weight: 600;
    font-size: 1.5rem;
}

body {
    font-family: 'Poppins', sans-serif;
}

.wrapper {
    display: flex;
}

.main {
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
    transition: all 0.35s ease-in-out;
    background-color: #fafbfe;
}

#sidebar {
    width: 50px;
    z-index: 1000;
    /* transition: all .25s ease-in-out; */
    background-color: #0e2238;
    display: flex;
    flex-direction: column;
}

#sidebar.expand {
    width: 260px;
    min-width: 260px;
}

.toggle-btn {
    background-color: transparent;
    cursor: pointer;
    border: 0;
    /* padding: 1rem 1.5rem; */
}

.toggle-btn i {
    font-size: 1.5rem;
    color: #FFF;
}

.sidebar-logo {
    margin: auto 0;
}

.sidebar-logo {
    color: #FFF;
    font-size: 1.15rem;
    font-weight: 600;
}

#sidebar:not(.expand) .sidebar-logo,
#sidebar:not(.expand) a.sidebar-link span {
    display: none;
}

.sidebar-nav {
    padding: 2rem 0;
    flex: 1 1 auto;
}

a.sidebar-link {
    padding: .625rem 1.625rem;
    color: #FFF;
    display: block;
    font-size: 0.9rem;
    white-space: nowrap;
    border-left: 3px solid transparent;
    max-height: unset;
}

.sidebar-link i {
    font-size: 1.1rem;
    margin-right: .75rem;
}

a.sidebar-link:hover {
    background-color: rgba(255, 255, 255, .075);
    border-left: 3px solid #3b7ddd;
}

.sidebar-item {
    position: relative;
}

#sidebar:not(.expand) .sidebar-item .sidebar-dropdown {
    position: absolute;
    top: 0;
    left: calc(100%);
    background-color: #0e2238;
    padding: 0;
    min-width: 15rem;
    display: none;
}

#sidebar:not(.expand) .sidebar-item:hover .has-dropdown+.sidebar-dropdown {
    display: block;
    /*max-height: 15em;*/
    width: 100%;
    opacity: 1;
}

.sidebar-footer {
    overflow: hidden;
}

#sidebar.expand .sidebar-link[data-bs-toggle="collapse"]::after {
    border: solid;
    border-width: 0 .075rem .075rem 0;
    content: "";
    display: inline-block;
    padding: 2px;
    position: absolute;
    right: 1.5rem;
    top: 1.4rem;
    transform: rotate(-135deg);
    transition: none !important;
}

#sidebar .sidebar-link[data-bs-toggle="collapse"]::after {
    border: solid;
    border-width: 0 .075rem .075rem 0;
    content: "";
    display: inline-block;
    padding: 2px;
    position: absolute;
    right: .3rem;
    top: 1rem;
    transform: rotate(-135deg);
    transition: none !important; 
}

#navbarToggleCollapse, #headerOptionsMobile {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#navbarToggleCollapse {
    justify-content: space-between;
}

#sidebar .sidebar-link[data-bs-toggle="collapse"].collapsed::after {
    transform: rotate(45deg);
    transition: all .2s ease-out;
}

#lateral-menu-btn {
    color: #FFFFFF;
}

.submenu-bg-darken {
    --bs-bg-opacity: 1;
    background-color: #112a44;
}

.sidebar-item.line-top {
    border-top: 1px solid rgba(255, 255, 255, .5);
}

.sidebar-item.line-bottom {
    border-bottom: 1px solid rgba(255, 255, 255, .5);
}

/****************************************************************/
/* Monitoring */

#monitoring.main header {
    background-color: #0e2238 !important;
}

/****************************************************************/
/* Forms */
label.required::after {
    content: ' *';
    color: red;
}

/* tags */
div.bootstrap-tagsinput > input {
    width: 100%;
}

/****************************************************************/
/* Cards */
.admin-dashboard .card .icon {
    font-size: 3rem;
    color: #0e2238;
}
  
.admin-dashboard .card-text {
    color: #4e4e4e;
}
  
.admin-dashboard .card {
    transition: all 0.25s;
}
  
.admin-dashboard .card:hover {
    background-color: #235488;
    color: #fff;
}
  
.admin-dashboard .card:hover .icon,
.admin-dashboard .card:hover .card-text {
    color: #fff;
}

.admin-dashboard .svg-inline--fa {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: auto;
    color:lightgrey
}

/****************************************************************/
/* Multi select */
.dashboardcode-bsmultiselect ul.form-control>li.badge {
    padding-left: 5px !important;
    background-color: lightgray;
    margin-right: 5px;
    margin-top: 5px;
}
.dashboardcode-bsmultiselect ul.form-control>li.badge>button {
    font-size: 0.6em !important;
    vertical-align: middle !important;
    margin: 5px !important;
}

/****************************************************************/
/* Menu side bar's logos */
#sidebar.expand img.side-bar-main-logo {
    width: 120px;
    height: auto;
    margin: 0 5px 1rem 5px;
}

#sidebar.expand img.side-bar-logo {
    width: auto;
    height: 60px;
    margin: 0 5px 1rem 5px;
}

img.side-bar-main-logo {
    width: 40px;
    height: auto;
    margin-bottom: 0;
}

img.side-bar-logo {
    width: 40px;
    height: auto;
    margin-bottom: 1rem;
}